v3.00 (Jan 26, 2026)
update retail toc. Credit: thurin
add libtourist beta for tbc. Credit: thurin

v2.92 (Aug 9, 2025)
LibTouristClassic is now release status for mists

v2.91 (May 11, 2025)
Update LibTourist for all game versions
toc updates
Added WagoID

v2.90 (Mar 9, 2025)
toc updates

v2.89 (Nov 6, 2024)
toc update for 11.0.5

v2.88 (Aug 27, 2024)
Fixed the outdated GetZonePVPInfo error
Tooltip tokens should be fine on TWW. Credit: BuG

v2.87 (Aug 14, 2024)
Update for 11.0.2 (thurin)

v2.86 (Aug 8, 2024)
LbTourist update for TWW, Cata and Classic

v2.85 (May 3, 2024)
LibTourist Official fix (Alpha version)
toc updates for cata. Credit: thurin

v2.84 (Feb 15, 2024)
Added Visibility State options
LibTourist update

v2.83 (Jan 26, 2024)
toc bump
Update tooltip.lua for 10.2.5 Archivist currency. Credit: BuG

v2.82 (Dec 10, 2023)
LibTourist update for all game versions
toc updates
The Location Text Auto Colorize option will now change when Zone changes
Added all the dreaming crests of 10.2 - Credit: BuG

v2.81 (Nov 9, 2023)
toc update
LibTourist update
Added new Currencies on tooltip

v2.80 (Sep 28, 2023)
toc updates

v2.79 (Jul 12, 2023)
Added Paracasual Flakes and Flightstones
toc bump for WoW 10.1.5

v2.78 (May 2, 2023)
toc update for patch 10.1
Added Icon Texture

v2.77 (Apr 5, 2023)
Prevent a tooltip error on Classic era
Prevent Clicking on the Location Panel while in combat

v2.76 (Mar 21, 2023)
toc update for patch 10.0.7

[b]2.75[/b] (Feb 9, 2023)
*Fixed the Datatexts error after ElvUI v13.25. Credit: Azilroka

[b]2.74[/b] (Jan 29, 2023)
*LibTourist update
*Added Storm Sigil currency
*toc updates

[b]2.73[/b] (Dec 3, 2022)
*DF Tokens update. Credit: BuG
*LibTourist update for DF

[b]2.72[/b] (Nov 15, 2022)
*toc update for patch v10.02
*LibTourist update for DF

[b]2.71[/b] (Nov 12, 2022)
*Fix for ElvUI 13.01

[b]2.70[/b] (Nov 4, 2022)
*Toc fix for DF

[b]2.69[/b] (Oct 26, 2022)
*Updated for WoW patch 10.00

[b]2.68[/b] (Oct 9, 2022)
*Prevent a tooltip error when there's no fishing level in the area

[b]2.67[/b] (Oct 5, 2022)
*Removed BCC toc and fixed tukui addon id

[b]2.66[/b] (Oct 3, 2022)
*Added Fishing level for Classic and Wrath
*Added Professions for Classic and Wrath
*toc updates
*Added the correct LibTourist for each game version

[b]2.65[/b] (Sep 27, 2022)
*One addon for all game versions

[b]2.64[/b] (Jun 1st, 2022)
*toc update for patch 9.2.5

[b]2.63[/b] (Feb 26, 2022)
*Added the new Shadowlands Currencies. Credit: @bug
*LibTourist update
*toc bump for patch 9.2

[b]2.62[/b] (Nov 2, 2021)
*toc bump for patch 9.1.5

[b]2.61[/b] (Aug 4, 2021)
*Update tooltip.lua - 9.1 currencies. Credit: BuG
*LibTourist update

[b]2.60[/b] (Jun 29, 2021)
*toc update for patch 9.10

[b]2.59[/b] (Apr 4, 2021)
*Added Valor currency
*Fixed a rare error during combat. Credit: Nihilistzsche

[b]2.58[/b] (Mar 9, 2021)
*toc update for patch 9.05

[b]2.57[/b] (Mar 4, 2021)
*Added the new conquest points currency
*Added Spacing option between the panels

[b]2.56[/b] (Jan 25, 2021)
*Fixed Coords Class color error

[b]2.55[/b] (Jan 24, 2021)
*Remove fishing
*Colors tlc

[b]2.54[/b] (Dec 22, 2020)
*Updated Shadowlands currency
*RightClick the Location panel during "ToggleUI" will bring up LocationPlus options
*Fixed hide in combat

[b]2.53[/b] (Nov 23, 2020)
*LibTourist update
*toc update to 9.02
*Fixed tokens tooltip error
*Update zhCN locales. Credit: aaaaaaoa

[b]2.52[/b] (Nov 2, 2020)
*LibTourist update for 9.01. Fishing level is disabled. It may be removed
*Fixed font attributes not updating. This should fix #8

[b]2.51[/b] (Oct 18, 2020)
Enabled Tooltip Currencies and added Shadowlands Currencies

[b]2.50[/b] (Oct 13, 2020)
*Ready for Shadowlands and ElvUI v12.00

[b]2.49[/b] (Oct 5, 2020)
*Fixed Datatexts not updating correctly

[b]2.48[/b] (Jul 9, 2020)
*Datatext fix
*Fixed dt backdrop
*Fixed a glitch when no backdrop is selected
*Added Strata and Level options
*Renamed the Datatexts. This will stop breaking old profiles but it may reset their dt assignments
*LibTourist update
*Added Echoes of Ny'alotha

[b]2.47[/b] (Feb 6, 2020)
LibTourist update to 8.3-beta1
Fixed the options to follow the latest ElvUI changes

[b]2.46[/b] (Jan 15, 2020)
Bump toc for patch 8.3
Added 8.3 currencies

[b]2.45[/b]
Fixed broken locales
Update LibTourist
toc update for 8.2.5

[b]2.44[/b]
ToggleConfig has been renamed to ToggleOptionsUI.  Fixes #3. (Credit: Nihilistic)
Update LibTourist

[b]2.43[/b]
Added Prismatic Manapearl in the tokens
Update toc for patch 8.2

[b]2.42[/b]
Update LibTourist for patch 8.1.5

[b]2.41[/b]
Fix CreateShadow

[b]2.40[/b]
*LibTourist update

[b]2.39[/b]
*toc update for patch 8.1
*LibTourist update
*Added patch 8.1 currencies

[b]2.38[/b]
*toc update for patch 8.1

[b]2.37[/b]
*toc update for patch 8.1

[b]2.36[/b]
LibTourist update to v213
Fixed the dungeon entrance coords in the tooltip

[b]2.35[/b]
LibTourist update
Minor fixes

[b]2.34[/b]
Removed an old function that may caused troubles

[b]2.33[/b]
Updated Tokens for BfA and fixed the Professions cap

[b]2.32[/b]
Updated and re enabled LibTourist

[b]2.31[/b]
Disabled LibTourist

[b]2.30[/b]
*Fixed Coords and location
*Disabled tooltip info, till LibTourist gets updated for BfA

[b]2.29[/b]
Added option to hide Coords when entering an instance. They aren't updating anyway. Enabled by default.

[b]2.28[/b]
*Updated libTourist. Contains the new scaled laveling
*Added Wakening Essence
*RightClicking the location panel will open LocationPlus options
*Added support for !ClassColors addon
*Files and functions restruction

[b]2.27[/b]
*LibTourist update

[b]2.26[/b]
*Added Veiled Argunite token
*LibTourist update

[b]2.25[/b]
*toc update for patch 7.3
*Updated the tokens table

[b]2.24[/b]
*Fixed a tooltip icon error

[b]2.23[/b]
*toc update for patch 7.2

[b]2.22[/b]
*LibTourist update to r190
*Added Seal of Broken Fate (Bonus Rolls) to the currencies

[b]2.21[/b]
*Fixed coords creation when in instance

[b]2.20[/b]
*Added option to hide Blizzard ZoneText
*toc update for patch 7.1
*LibTourist update

[b]2.19[/b]
*Updated French and Spanish locales
*Fixed a visual glitch on texts
*LibTourist update

[b]2.18[/b]
*LibTourist update. Fixes the recommended zones for Legion

[b]2.17[/b]
*Updated professions cap

[b]2.16[/b]
*Update LibTourist to r184. This contains the Broken Isles continent
*Added the Nethershard tokens

[b]2.15[/b]
*Added Legion currencies

[b]2.14[/b]
*toc update for Legion

[b]2.13[/b]
*Cached more Blizzard functions

[b]2.12[/b]
*Cached Blizzard functions

[b]2.11[/b]
*Added the new Valor Token

[b]2.10[/b]
*Added Login Message option (Credit Merathilis)
*Update deDE locales (Credit Merathilis)
*Added Timewarped Badge (6.22) token

[b]2.09[/b]
*LibTourist update r181
- Updated TOC to 60200
- Added Hellfire Citadel raid. Because this is a duplicate name with the Hellfire Citadel complex in Hellfire Peninsula, Outland, the raid is added to the mechanism that handles duplicate names, and is identified by LibTourist as "Hellfire Citadel (Draenor)".

[b]2.08[/b]
*toc update for WoD patch 6.2

[b]2.07[/b]
*toc update for WoD patch 6.1 

[b]2.06[/b]
*Fixed main panel layering level when placed above minimap.
*LibTourist update to 6r1

[b]2.05[/b]
*LibTourist update to 6.01b

[b]2.04[/b]
*Yet another LibTourist update. Changelog: http://www.wowace.com/addons/libtourist-3-0/files/161-r170/
*Made the adjustments needed (through LibTourist) to seperate info from areas with duplicate zone names (Nagrand and Shadowmoon Valley). The tooltip will now show the correct fishing level in Draenor's Nagrand and Shadowmoon Valley.

[b]2.03[/b]
*LibTourist update. Changelog: http://www.wowace.com/addons/libtourist-3-0/files/159-r168/

[b]2.02[/b]
*LibTourist update. Continents work fine now. Author's note: Currently, the data for the Outland zones Nagrand and Shadowmoon Valley is overwritten by the data for the Draenor zones with the same names.

[b]2.01[/b]
*Added option to show/hide the coord frames. (Looks sleek btw, cheers codeblake)

[b]2.00[/b]
*Updated for WoD. Note: LibTourist needed for the tooltip info is not yet updated for the new areas, so recommended areas, dungeons, level area, etc are not passing any info.
*Made some functions local

[b]1.88[/b]
*Minor improvements

[b]1.87[/b]
*Added a slider in the options so the user can adjust the coords update time, to prevent cpu load. Bigger number -> less cpu load -> slower coords update.

[b]1.86[/b]
*Fixed CPU load issues (thanks Einistein for noticing this)

[b]1.85[/b]
*Added Currencies in the tooltip
*Added Professions in the tooltip
*Changed the coloring and player status method
*Simplified and renamed some functions
*Added modifier(s) e.g. lures, on fishing level display
*Rearranged the tooltip options a bit
*Locales cleanup

[b]1.82[/b]
*updated LibTourist for Timeless Isle
*minor fixes

[b]1.81[/b]
*toc update for patch 5.4

[b]1.80[/b]
*toc update for patch 5.3
*Added option to also display Battle Pet level, Fishing level or Area Level, on the Location Panel. Also optionally show a corresponding icon.
*Minor improvements and corrections.

[b]1.79[/b]
*Removed LibElvUIPlugin library. It's part of ElvUI now. (Recommended update)

[b]1.78[/b]
*Updated LibElvUIPlugin library. (Highly recommended update)

[b]1.77[/b]
*Fixed level range on location panel not showing in some cases. Also fixed the tooltip when level range isn't available (major cities).
*Simplified the coords creation.
*Added option to hide tooltip  while in combat (enabled by default).
*Disabled Monochrome font flag (Still causing wow crashes).
*Updated LibTourist-3.0 library.
*Updated LibElvUIPlugin-1.0 library.

[b]1.76[/b]
*Ready for patch 5.2
*Included Sortokk's LibElvUIPlugin
*Added optional area level range in the location panel (user request)
*Toggling transparency works without a reloadui.
*Fixed panel appearance after pet combat, while mouseover is disabled.
*Followed Elv's fix for Monochrome font flag.
*Removed a locale string (thanks Darth).

[b]1.75[/b]
*All new additions now have a sign in the options.
*Added mouseovered panels option (user request).
*Updated frFR locale (Credits: Ckeurk)
*Updated zhCN and zhTW locales (Credits: zhouf616, xjjxfpyyyf)

[b]1.74[/b]
*Added option that truncates the location text if it's larger than the location panel (user request).
*Fixed the tooltip for recommended dungeons when player is below level 15.
*Updated LibTourist to WoW-5.1-beta1.

[b]1.73[/b]
*User request: Added a Show/Hide Backdrop option, so the panels could be with no background and can be placed on ElvUI's top or bottom panels.
*Updated LibTourist to r157.
*Added the level of the Battle Pets in the area.
*Fixed datatext incompatibility with ElvUI_DTbars addon and S&L Edit.
*Fixed not saving the last datatexts toggled state.

[b]1.72[/b]
*Ready for 5.1 patch.
*Fixed the Location text not getting red color while in an instance.
*Simplified some functions and removed some uneeded old stuff.
*Fixed the feature to change the plugin datatext fonts via the plugin options, that stopped working in v1.70.
*Removed the disable datatexts option. Datatatexts can always be hidden by Ctrl+Clicking the Location Panel anyway. Disabled datatexts were causing issues that me and Darth tried to solve but tbh I'm a bit tired with it. In addition, a new addon called "Location Lite" is available, that will not have datatexts and tooltip info but will keep all the customization options plus a new "bonus" layout. Get it here: http://www.tukui.org/addons/index.php?act=view&id=133.
*Updated LibTourist to r155.
*Updated zhCN and zhTW locales (Credits: zhouf616).
*Updated Russian locale (Credits: Darth Predator).

[b]1.71[/b]
*Added coloring options for the Location text: Auto, Class and Custom.
*Added coloring options for the Coords text: Use Custom Location Color, Class and Custom.
*Right clicking the location panel shows ElvUI options rather than Atlas plugin. Usefull when consolidated buffs are disabled.
*Added Home location (hearthstone) in tooltip.
*Minor changes in options.
*Updated zhTW locale. Credits: xjjxfpyyyf

[b]1.70[/b]
*Added Location panel width options (users request). The panel can now either auto resize or the user can set a fixed width. If the location name is bigger than the user's width, it will auto resize to fit the name.
*Added option to show/hide coords for the Recommended and Area Dungeons entrances. Some coords may not show till LibTourist gets updated with the new instances.
*When entering an instance, the location text turns redish, than the usuall yellow.
*Changed the way options are saved. They now use ElvUI saved variables file.
*Tooltip and Layout options have now their own sub-category.
*Altered the plugin to run as ElvUI module. Uses less memory now ;)
*Updated LibTourist to Wow-5.0-beta2.

[b]1.65[/b]
*Fixed the status coloring in tooltip.
*Fixed a bug with other map mods like Carbonite.
*Updated German locale. Credits: Hoembi

[b]1.64[/b]
*Auto fading while in pet battle addition (from v1.62), caused the "Combat Hide" option not to function. This has been fixed.
*Updated LibTourist to r152.

[b]1.63[/b]
*Simplified the font function.
*Removed some old locale strings.
*Added a reloadui message when enabling the Transparent layout. The toggle isn't applying the correct transparency level without reloadui.
*When disabling the datatexts, a reloadui message shows, as it should do :P
*Fixed a bug, when datatexts were disabled, the user could still play with their width option, resulting the datatexts to show back. (Grabbed by Darth Predator - The master BugGrabber :D)
*When the datatexts are disabled, their width option is also disabled.
*Updated Russian locale (Credits: Darth Predator)

[b]1.62[/b]
*The panels now auto fade while in pet battle, to prevent overlapping the pet frames, even if "Combat Hide" option is enabled.
*Updated French locale. Credits: Alex, thank you :)
*Changed the "#-man" with global Player string. Now shows e.g. 10-Player.
*Some strings now use Blizzard's globals (less translation required).

[b]1.61[/b]
*Updated Simplified Chinese (zhCN) and Traditional Chinese (zhTW) translations. Credits: Zhouf616 - Big Thanks :)

[b]1.60[/b]
*New feature: The tooltip now shows the zone of the Recommended dungeons.
*New feature: The tooltip now shows the Continent of the Recommended zones.
*New feature: The tooltip now shows the number of players required for each Dungeon/Raid in the area.
*New feature: The title "Dungeons" in the tooltip, has changed to "[Area] Dungeons", e.g. "Stormwind City Dungeons".
*New feature: Fishing now also shows player's name and fishing level plus the area's name and level.
*Show PvP/Raid option no longer filters Recommended Zones, cause it was filtering zones like Hellfire Peninsula, Silithus or Zangarmarsh that just have some PvP areas. There is only a PvP flag, that shows that there is a PvP area in the recommended zone.
*With ElvUI v4.33+, the panels can be moved again by using ElvUI Toggle Anchors button. The movers issue that caused the location panel not to resize evenly has been fixed by Elv. Have in mind that it will resize as intended, only when it's placed horizontal on the center of the screen.
*Changed the panels distance when Shadows layout is used, from 3 to 2 pixels.
*Changed the default Datatexts to 'Time' and 'Spec Switch' to avoid an issue when the 'System' one is enabled twice, e.g. in LocationPanel and in another datatext.
*Removed Phenox plugin compatibility. No one is using it anymore.
*Added Italian localisation file (needs translation)
*Updated French locale (Credits: Onii & Ckeurk).
*Updated LibTourist to r151.
*The tooltip info feed has been rewritten. The plugin now uses less memory.

[b]1.59[/b]
*Fixed curse forge ticket #3 issue.
*Better Transparency level on the panels. It follows the level of any ElvUI transparent frame.
*Added player's area Fishing level in the tooltip. Can be Enabled/disabled via options.
*Improved the v1.58 fix. The x, y movers resolution values are showing correct when autoscale is on. If it's off, then the values are multiplied by 1.5, so that the panels can be moved further.

[b]1.58[/b]
*Fixed the issue, when a user had ElvUI Autoscale option disabled and changed the Bliz UI Scale option, caused the panels not to be able to follow the user resolution. (Thanks Blaze)

[b]1.57[/b]
*Updated LibTourist to fix "LibTourist-3.0-90145.lua:2113: table index is nil" error

[b]1.56[/b]
*Fixed a lua error while applying transparency

[b]1.55[/b]
*Fixed the issue, when the panels were not visible, of screen or at the bottomleft corner.
*New feature: datatext panels width is sizeable via options. Coords and Location panels are auto sizeable. Changing the height affects all panels.
*Minor tweaks and cleanup. 

[b]1.51[/b]
*Updated LibTourist for 5.0.4. Tooltip info and options are back!
*Elv's new movers code, was causing the panel not to resize evenly left and right. I added an x, y mover at the options (thanks Darth)
*Added Detailed Coords option. Enabling it will show even more accurate coords with 2 digits.
*Cleaned up the not needed code

[b]1.5c[/b]
*Patch 5.0.4 compatible
*Fixed a glyph taint
*Fixed locale lua errors
*minor tweaks

[b]1.25[/b]
*Updated LibBabble-Zone and LibTourist libraries

[b]1.24[/b]
*Added support for Shadow & Light Edit:
  -Changed default positioning when Shadow & Light Edit is loaded
  -Fixed Xp/rep bars positioning under Location Panels, when Shadow & Light Edit is loaded
*Removed the Reset Position option, since Elv's Mover Popup window can be moved now

[b]1.23[/b]
*Updated Russian locale (Credits: Darth Predator)
*Updated French locale (Credits: Onii)
*Updated LibTourist
*Made some functions local
*toc update

[b]1.21[/b]
*Added Monochrome outline in font options.

[b]1.20[/b]
*Fixed LibTourist location coloring, when on some sanctuary areas like Argent Tournament Grounds, the color was yellow, should be light blue.
*Added Combat on Status.
*Updated zhTW translation.
*Updated locales with new strings from the addon options.
*Changed all panels height to 20. They look better :P (Can always be changed in the core.lua file)

[b]1.19[/b]
*Added French locale (Credits: Onii)
*Minor adjustment for map issue.

[b]1.18[/b]
*Fixed issue with maps getting stucked on player's position(fingers crossed) :)

[b]1.17[/b]
*Added new locale strings and removed some that are already in ElvUI.
*Updated LibTourist.

[b]1.16[/b]
*Fixed coords sometimes not to show (for good this time).
*In case xp/rep bars are shown on top, they no longer overlap with LocationPlus panels. They just park themselves under Location panels. Works better with XP/Rep mod: http://www.tukui.org/forums/topic.php?id=21133

[b]1.15[/b]
*Added support for ElvUI 3.7+

[b]- Fixes:[/b]
*Fixed coords sometimes not to show.
*Fixed a bug at the Font options, where the user was able to choose/resize/flag a font but the changes were not visible in the options, although the font was applied correctly on the panels.

[b]- Changes:[/b]
*Changed the way locations were getting colored. Using LibTourist, instead of Elv's location coloring function

[b]- New Tooltip Info:[/b]
*Added Recommended Zones
*Added Recommended Dungeons
*Added Zone Instances and Raids

[b]- Added options for Tooltip Info:[/b]
*show/hide raids or dungeons
*show/hide PvP zones, Arenas and BGs on recommended dungeons and zones
*show/hide Recommended Zones
*show/hide Recommended Dungeons
*show/hide Zone Dungeons and Raids
*show/hide Zone Status
*show/hide Current Zone Level



[b]1.14[/b]
*fixed a bug when the tooltips were still showing, when the panels were hidden while in combat.
*Added Zone Status info on tooltip
*Added Current Zone Level info on tooltip
*New feature: If Elv's Rep/XP bars are set "Top Screen", Location panels are repositioned under the Rep/XP bars,
so that they don't overlap. If Elv's Rep/XP bars are toggled back to "Below Minimap", the panels are repositioned on top of the screen.



[b]1.13[/b]
*Added zhCN and zhTW localization. Credits: zhouf616



[b]1.12[/b]
*Added ptBR localization. Credits: Don



[b]1.11[/b]
*Re-arranged the options.
*Right Clicking the Location Panel, toggles Atlas addon (if loaded).
*Toggling transparent layout, no longer needs to reloadui.
*Added a "reset to default position" option, in case the mover is behind Elv's Toggle Anchors window.
*Updated LibTourist-3.0.



[b]1.09[/b]
*Fixed the issue when the main panel appearing again after entering an instance, raid, bg.
*Added font options for all panels. In case Phenox addon is loaded, it will take care of the datatext fonts.
*Less reloads while changing layout options. Shadows and Larger Location Panel don't require a reloadui.
*Added back the Enable/Disable DataTexts option. Still appear in Elv's DataText  options though.
*Updated LibBabble-Zone-3.0. Older version was causing errors.
*Minor code improovements.



[b]1.08[/b]
*Cleanup



[b]1.07[/b]
*Fixed the issue: Tooltip doesn't show the correct info on login and ShiftClick does a lua error
Works ok after reload ui.
*Not using Elv's LO:Initialize() function, so it doesn't mess up with other edits (cheers Darth).
*Removed the Enable/Disable DataText option. Not working as intended (still shows in Elv's Datatext options).
*New workaround to Hide in combat.
*New options db, so it doesn't save profiles in Elv's db.



[b]1.06[/b]
*Added Russian locale (Credits: Darth Predator)



[b]1.05[/b]
*Fixed the libs loading error



[b]1.04[/b]
*Added the missing lib.



[b]1.03[/b]
*Try to fix the issue: Tooltip doesn't show the correct info on login and ShiftClick does a lua error
Works ok after reload ui.



[b]1.02[/b]
*Add localizations



[b]1.01[/b]
*Code cleanup



[b]1.00[/b]
*Initial release